Bug 444819 - Installer tries to use nonexistent cciss drive
Installer tries to use nonexistent cciss drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
9
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-04-30 15:36 EDT by Bryan Stillwell
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:51:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kickstart script used to install on /dev/sda (515 bytes, text/plain)
2008-04-30 15:38 EDT, Bryan Stillwell
no flags Details
Warning: Unable to determine geometry (4.39 KB, image/png)
2008-04-30 15:39 EDT, Bryan Stillwell
no flags Details
Warning: No space left (3.49 KB, image/png)
2008-04-30 15:40 EDT, Bryan Stillwell
no flags Details
Warning: Invalid argument during seek (3.56 KB, image/png)
2008-04-30 15:41 EDT, Bryan Stillwell
no flags Details
sosreport (283.34 KB, application/octet-stream)
2008-04-30 15:42 EDT, Bryan Stillwell
no flags Details

  None (edit)
Description Bryan Stillwell 2008-04-30 15:36:58 EDT
Description of problem:
When doing a kickstart install of rawhide on an rx2660, anaconda attempts to use
a nonexistent logical drive on a SmartArray P400.

# cat /proc/driver/cciss/cciss0
cciss0: HP Smart Array P400 Controller
Board ID: 0x3234103c
Firmware Version: 4.12
IRQ: 61
Logical drives: 0
Current Q depth: 0
Current # commands on controller: 0
Max Q depth since init: 1
Max # commands on controller since init: 1
Max SG entries since init: 1
Sequential access devices: 0


Version-Release number of selected component (if applicable):
# uname -a
Linux med1-ofs.lionc.test 2.6.25-1.fc9.ia64 #1 SMP Sun Apr 20 07:00:15 EDT 2008
ia64 ia64 ia64 GNU/Linux

How reproducible: 100%


Steps to Reproduce:
1. Set up a Proliant or Integrity server with any SmartArray card
2. Remove all logical drives from the SmartArray when the system boots
3. Use the attached kickstart file to install on a SAS drive
4. Witness the attached warning messages
  
Actual results:
Lots of warning messages about not being able to use the drive that doesn't exist.

Expected results:
SmartArrays without any logical drives should be ignored.

Additional info:
RHEL4 and RHEL5 handle this properly.
Comment 1 Bryan Stillwell 2008-04-30 15:38:56 EDT
Created attachment 304264 [details]
kickstart script used to install on /dev/sda
Comment 2 Bryan Stillwell 2008-04-30 15:39:53 EDT
Created attachment 304265 [details]
Warning: Unable to determine geometry
Comment 3 Bryan Stillwell 2008-04-30 15:40:28 EDT
Created attachment 304266 [details]
Warning: No space left
Comment 4 Bryan Stillwell 2008-04-30 15:41:25 EDT
Created attachment 304267 [details]
Warning: Invalid argument during seek

Repeats 3 times.
Comment 5 Bryan Stillwell 2008-04-30 15:42:48 EDT
Created attachment 304268 [details]
sosreport
Comment 6 Bryan Stillwell 2008-04-30 16:31:22 EDT
anaconda was version 11.4.0.75-1
Comment 7 Jeremy Katz 2008-04-30 21:36:59 EDT
I'm guessing hal is showing the drive as there?  (Look in lshal)
Comment 8 Bryan Stillwell 2008-05-01 14:08:00 EDT
Here are the entries on a system with multiple cciss devices.  The first device
(c0d0) is for a card without any logical drives.  The second device (c1d0) is
for a card with 2 logical drives (which are represented as c1d0 and c1d1).

udi = '/org/freedesktop/Hal/devices/computer_storage_unknown_disk'
  block.device = '/dev/cciss/c0d0'  (string)
  block.is_volume = false  (bool)
  block.major = 104  (0x68)  (int)
  block.minor = 0  (0x0)  (int)
  block.storage_device =
'/org/freedesktop/Hal/devices/computer_storage_unknown_disk'  (string)
  info.capabilities = {'storage', 'block'} (string list)
  info.category = 'storage'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_103c_3220'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_storage_unknown_disk'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:0a/0000:0a:01.0/block/cciss!c0d0' 
(string)
  storage.automount_enabled_hint = true  (bool)
  storage.bus = 'unknown'  (string)
  storage.drive_type = 'disk'  (string)
  storage.hotpluggable = false  (bool)
  storage.media_check_enabled = false  (bool)
  storage.model = ''  (string)
  storage.no_partitions_hint = false  (bool)
  storage.originating_device = '/org/freedesktop/Hal/devices/computer'  (string)
  storage.partitioning_scheme = 'none'  (string)
  storage.removable = false  (bool)
  storage.removable.media_available = true  (bool)
  storage.removable.media_size = 0  (0x0)  (uint64)
  storage.requires_eject = false  (bool)
  storage.size = 0  (0x0)  (uint64)
  storage.vendor = ''  (string)


udi =
'/org/freedesktop/Hal/devices/storage_serial_3600508b100104c39535455303143000a'
  block.device = '/dev/cciss/c1d0'  (string)
  block.is_volume = false  (bool)
  block.major = 105  (0x69)  (int)
  block.minor = 0  (0x0)  (int)
  block.storage_device =
'/org/freedesktop/Hal/devices/storage_serial_3600508b100104c39535455303143000a'
 (string)
  info.capabilities = {'storage', 'block'} (string list)
  info.category = 'storage'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_103c_3220_0'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/storage_serial_3600508b100104c39535455303143000a'
 (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:49/0000:49:01.0/block/cciss!c1d0' 
(string)
  storage.automount_enabled_hint = true  (bool)
  storage.bus = 'unknown'  (string)
  storage.drive_type = 'disk'  (string)
  storage.firmware_version = '2.020'  (string)
  storage.hotpluggable = false  (bool)
  storage.media_check_enabled = false  (bool)
  storage.model = 'LOGICAL_VOLUME'  (string)
  storage.no_partitions_hint = false  (bool)
  storage.originating_device = '/org/freedesktop/Hal/devices/computer'  (string)
  storage.partitioning_scheme = 'none'  (string)
  storage.removable = false  (bool)
  storage.removable.media_available = true  (bool)
  storage.removable.media_size = 72771010560  (0x10f17d8000)  (uint64)
  storage.requires_eject = false  (bool)
  storage.serial = '3600508b100104c39535455303143000a'  (string)
  storage.size = 72771010560  (0x10f17d8000)  (uint64)
  storage.vendor = 'HP'  (string)
Comment 9 Bug Zapper 2008-05-14 06:26:36 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-06-09 20:32:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 13:51:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.